Batch

List batch jobs

List batch jobs for the authenticated user with optional filtering and pagination

GET
/v1/batch/jobs

Authorization

APIKeyHeader
X-Api-Key<token>

In: header

Query Parameters

status?|

Filter by job status

start_date?|

Filter jobs created on or after this date

end_date?|

Filter jobs created on or before this date

page?Page

Page number

page_size?Page Size

Results per page (max 100)

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batch/jobs"
{
  "jobs": [
    {
      "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
      "status": "queued",
      "accepted_urls": 0,
      "completed_urls": 0,
      "failed_urls": 0,
      "config": {
        "render_js": true,
        "formats": [
          "markdown"
        ],
        "proxy": {
          "country": "string",
          "type": "datacenter"
        },
        "headers": {
          "property1": "string",
          "property2": "string"
        },
        "wait_config": {
          "wait_until": "commit",
          "wait_for": "string",
          "wait_timeout": 0
        }
      },
      "created_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "page_size": 0,
  "page_count": 0
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}